PHP Manual
Prev |  | Next

# http_negotiate_content_type

(no version information, might be only in CVS)

http_negotiate_content_type -- Negotiate clients preferred content type

## Description

string http_negotiate_content_type ( array supported [, array &result] )

This function negotiates the clients preferred content type based on its `Accept` HTTP header. The qualifier is recognized and content types without qualifier are rated highest.

## Parameters

`supported`

  array containing the supported content types as values

`result`

  will be filled with an array containing the negotiation results

## Return Values

Returns the negotiated content type or the default content type (i.e. first array entry) if none match.

## Examples

Example 1. Using http_negotiate_content_type()

`<?php $content_types = array('application/xhtml+xml', 'text/html'); http_send_content_type(http_negotiate_content_type($content_types)); ?>`

Prev | Home | Next
http_negotiate_charset | Up | http_negotiate_language